"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _execa = _interopRequireDefault(require("execa"));

var TypeChecker =
/*#__PURE__*/
function () {
  function TypeChecker() {
    (0, _classCallCheck2.default)(this, TypeChecker);
  }

  (0, _createClass2.default)(TypeChecker, [{
    key: "generateTemplatePath",
    value: function generateTemplatePath(typeCheckerPlatform) {
      switch (typeCheckerPlatform) {
        case 'none':
          return 'template/default/';

        case 'flow':
          return 'template/flow/';

        default:
          return 'template/default/';
      }
    }
  }, {
    key: "getInstallPackages",
    value: function getInstallPackages(typeCheckerPlatform) {
      if (typeCheckerPlatform === 'flow') {
        return ['flow-bin@^0.95.0', 'flow-typed@^2.0.0', '@babel/preset-flow'];
      }

      return [];
    }
  }, {
    key: "runExtraSettings",
    value: function runExtraSettings(typeCheckerPlatform, projectPath) {
      if (typeCheckerPlatform === 'flow') {
        return (0, _execa.default)('flow-typed', ['install', 'express@^4.0.0'], {
          cwd: projectPath
        });
      }
    }
  }]);
  return TypeChecker;
}();

var typeChecker = new TypeChecker();
var _default = typeChecker;
exports.default = _default;